#include "partition.h"
#include <algorithm>

std::vector<int> solve(std::vector<int> A) {
    int n = A.size();
    std::vector<int> res;
    
    // group 2
    for(int i=0; i<n/2-1; i++){
        res.push_back(i);
    }
    res.push_back(n-1);
    for(int i=n/2-1; i<n-1; i++){
        res.push_back(i);
    }

    // group 1
    // std::vector<std::pair<int, int>> value_pos;
    // for(int i=0; i<n; i++){
    //     value_pos.push_back({A[i], i});
    // }    
    
    // sort(value_pos.begin(), value_pos.end());
    // for(int i=0; i<n; i+=2){
    //     res.push_back(value_pos[i].second);
    // }
    // for(int i=1; i<n; i+=2){
    //     res.push_back(value_pos[i].second);
    // }
    return res;
}
